Subject: Re: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Len Trigg <[email-masked]>
Date: Sat, 25 Jan 2025 08:06:40 +1300

On Fri, 24 Jan 2025 at 22:32, Gerd Möllmann <[email-masked]>
wrote:

> I think the rest of the behavior is somehow multi-tty. We talked about
> that already. I don't think I'll tackle that, sorry.
>

You mentioned in the earlier email about single-kboard mode being a
limitation too big to address, but I'm confused as to why the child tty
frame (minibuffer?) that the user had actually dismissed then magically
reappears when the focus was moved to another terminal. Is it that the
child tty frame needs to be fully destroyed upon dismissal? (Is that
something posframe could do?) Could you please provide a description of
what you think is actually happening?

Cheers,
Len.